Разное

Opencart: eXtplorer Manager ошибка в строке admin.extplorer.php on line 97

Система FreeBSD 9.1, apache22-2.2.23_4, php 5.4.x. Столкнулся с проблемой при установке модуля  eXtplorer Manager для Opencart v 1.5.4.1, после активации вылетает ошибка:

opencart1

Оказывается нужно в файле /patch/to/site/admin/eXtplorer1541/admin.extplorer.php найти этот код:

if( defined( 'E_STRICT' ) ) { // Suppress Strict Standards Warnings
error_reporting(E_ALL);
}

И заменить на :

if( defined( 'E_STRICT' ) ) { // Suppress Strict Standards Warnings
error_reporting(E_ALL & ~E_STRICT & ~E_NOTICE);
}

После чего всё запускается нормально:
opencart2

Оставить комментарий